# Retrieve profile limits

Retrieves the spend limits that are configured for a profile.

Endpoint: GET /v4/spend/profiles/{profileId}/spend-limits
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Response 200 fields (application/json):

  - `spendLimits` (array)

  - `spendLimits.type` (string)
    The type of transaction. PURCHASE is a combined limit that applies to contactless, magnetic, online purchase, chip and PIN/mobile wallet transactions.
    Enum: "PURCHASE", "ATM_WITHDRAWAL"

  - `spendLimits.aggregateWindow` (object)

  - `spendLimits.aggregateWindow.daily` (object)

  - `spendLimits.aggregateWindow.daily.value` (object)
    Daily limit. The value should be between 0 and the max allowed.

  - `spendLimits.aggregateWindow.daily.value.amount` (number)
    Example: 20000

  - `spendLimits.aggregateWindow.daily.value.currency` (string)
    Example: "GBP"

  - `spendLimits.aggregateWindow.daily.usage` (object)
    The total authorised amount to date.

  - `spendLimits.aggregateWindow.daily.usage.amount` (number)

  - `spendLimits.aggregateWindow.daily.usage.currency` (string)
    Example: "GBP"

  - `spendLimits.aggregateWindow.daily.max` (object)
    The max allowed limit for [daily](https://wise.com/help/articles/2899986/what-are-my-spending-limits).

  - `spendLimits.aggregateWindow.daily.max.amount` (number)
    Example: 30000

  - `spendLimits.aggregateWindow.daily.max.currency` (string)
    Example: "GBP"

  - `spendLimits.aggregateWindow.daily.resetAt` (string)
    The time when the limit gets reset. ISO-8601 timestamp with timezone.
    Example: "2023-07-31T22:59:59.999999999Z"

  - `spendLimits.aggregateWindow.monthly` (object)

  - `spendLimits.aggregateWindow.monthly.value` (object)
    Monthly limit. The value should be between 0 and the max allowed.

  - `spendLimits.aggregateWindow.monthly.value.amount` (number)
    Example: 20000

  - `spendLimits.aggregateWindow.monthly.value.currency` (string)
    Example: "GBP"

  - `spendLimits.aggregateWindow.monthly.usage` (object)
    The total authorised amount to date.

  - `spendLimits.aggregateWindow.monthly.usage.amount` (number)

  - `spendLimits.aggregateWindow.monthly.usage.currency` (string)
    Example: "GBP"

  - `spendLimits.aggregateWindow.monthly.max` (object)
    The max allowed limit for [monthly](https://wise.com/help/articles/2899986/what-are-my-spending-limits).

  - `spendLimits.aggregateWindow.monthly.max.amount` (number)
    Example: 30000

  - `spendLimits.aggregateWindow.monthly.max.currency` (string)
    Example: "GBP"

  - `spendLimits.aggregateWindow.monthly.resetAt` (string)
    The time when the limit gets reset. ISO-8601 timestamp with timezone.
    Example: "2023-07-31T22:59:59.999999999Z"


